path: /build/build/xorg-server-x11-base-21.1.13+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cd /var/git/extra-kits/geaaru-kit/x11-base/xorg-server/ && rm Manifest && wget
    https://raw.githubusercontent.com/geaaru/geaaru_overlay/funtoo/x11-base/xorg-server/Manifest
    && cd -
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-minimal -selinux -systemd -unwind elogind kdrive udev xephyr xnest xorg xnest suid" emerge x11-base/xorg-server -pv -t && \
    USE="-minimal -selinux -systemd -unwind elogind kdrive udev xephyr xnest xorg xnest suid" emerge -j ${JOBS} --nodeps x11-base/xorg-server
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xorg-server && luet-portage --dir /pkgdir/xorg-server
    x11-base/xorg-server && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d3049437cd87571c8c366ee0f5b9ed97a5ebf145c59c420d17f37c970592c40c
  package:
    name: xorg-server
    version: 21.1.13+1
    category: x11-base
    use_flags:
    - -minimal
    - -selinux
    - -systemd
    - -unwind
    - elogind
    - kdrive
    - udev
    - xephyr
    - xnest
    - xorg
    - xnest
    - suid
    requires:
    - name: xkeyboard-config
      version: '>=0'
      category: x11-misc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: x.org X server
    uri:
    - https://www.x.org/wiki
    license: MIT
    buildtimestamp: 2024-04-21 15:48:07.44133844 +0000 UTC m=+223.737787759
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: dev-libs/libbsd dev-libs/openssl media-libs/libglvnd[X] sys-devel/flex
        x11-apps/xkbcomp >=x11-base/xorg-proto-2021.4.99.2 >=x11-libs/libXau-1.0.4
        >=x11-libs/libXdmcp-1.0.2 >=x11-libs/libXfont2-2.0.1 >=x11-libs/libdrm-2.4.89
        >=x11-libs/libpciaccess-0.12.901 >=x11-libs/libxkbfile-1.0.4 >=x11-libs/libxshmfence-1.1
        >=x11-libs/pixman-0.27.2 >=x11-libs/xtrans-1.3.5 >=x11-misc/xkeyboard-config-2.4.1-r3
        elogind? ( sys-apps/dbus sys-auth/elogind[pam] ) kdrive? ( >=x11-libs/libXext-1.0.99.4
        x11-libs/libXv ) udev? ( virtual/libudev ) unwind? ( sys-libs/libunwind )
        xephyr? ( x11-libs/libxcb x11-libs/xcb-util x11-libs/xcb-util-image x11-libs/xcb-util-keysyms
        x11-libs/xcb-util-renderutil x11-libs/xcb-util-wm ) xnest? ( >=x11-libs/libXext-1.0.99.4
        >=x11-libs/libX11-1.1.5 ) xorg? ( >=x11-apps/xinit-1.3.3-r1 >=x11-libs/libxcvt-0.1.2
        ) !minimal? ( >=x11-libs/libXext-1.0.99.4 >=x11-libs/libX11-1.1.5 >=media-libs/mesa-18[X(+),egl(+),gbm(+)]
        >=media-libs/libepoxy-1.5.4[X,egl(+)] ) systemd? ( sys-apps/dbus sys-apps/systemd
        )
      IUSE: kdrive xephyr xnest xorg xvfb debug +elogind minimal selinux +suid test
        +udev unwind xcsecurity systemd
      RDEPEND: dev-libs/libbsd dev-libs/openssl media-libs/libglvnd[X] sys-devel/flex
        x11-apps/xkbcomp >=x11-base/xorg-proto-2021.4.99.2 >=x11-libs/libXau-1.0.4
        >=x11-libs/libXdmcp-1.0.2 >=x11-libs/libXfont2-2.0.1 >=x11-libs/libdrm-2.4.89
        >=x11-libs/libpciaccess-0.12.901 >=x11-libs/libxkbfile-1.0.4 >=x11-libs/libxshmfence-1.1
        >=x11-libs/pixman-0.27.2 >=x11-libs/xtrans-1.3.5 >=x11-misc/xkeyboard-config-2.4.1-r3
        elogind? ( sys-apps/dbus sys-auth/elogind[pam] ) kdrive? ( >=x11-libs/libXext-1.0.99.4
        x11-libs/libXv ) udev? ( virtual/libudev ) unwind? ( sys-libs/libunwind )
        xephyr? ( x11-libs/libxcb x11-libs/xcb-util x11-libs/xcb-util-image x11-libs/xcb-util-keysyms
        x11-libs/xcb-util-renderutil x11-libs/xcb-util-wm ) xnest? ( >=x11-libs/libXext-1.0.99.4
        >=x11-libs/libX11-1.1.5 ) xorg? ( >=x11-apps/xinit-1.3.3-r1 >=x11-libs/libxcvt-0.1.2
        ) !minimal? ( >=x11-libs/libXext-1.0.99.4 >=x11-libs/libX11-1.1.5 >=media-libs/mesa-18[X(+),egl(+),gbm(+)]
        >=media-libs/libepoxy-1.5.4[X,egl(+)] ) systemd? ( sys-apps/dbus sys-apps/systemd
        ) selinux? ( sec-policy/selinux-xserver )
      emerge.packages: x11-base/xorg-server
      kit: geaaru-kit
      original.package.name: x11-base/xorg-server
      original.package.slot: "0"
      original.package.version: 21.1.13
    treedir: /build/packages
  package_dir: /pkgdir/xorg-server
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 978258ee9698356105dea89372477de9f43a6bdcb562caac4a5cd0a3e5e1678d
compressiontype: zstd
files:
- etc/conf.d/xdm
- etc/init.d/xdm
- etc/init.d/xdm-setup
- usr/bin/X
- usr/bin/Xephyr
- usr/bin/Xnest
- usr/bin/Xorg
- usr/bin/gtf
- usr/include/xorg/XIstubs.h
- usr/include/xorg/Xprintf.h
- usr/include/xorg/callback.h
- usr/include/xorg/client.h
- usr/include/xorg/closestr.h
- usr/include/xorg/closure.h
- usr/include/xorg/colormap.h
- usr/include/xorg/colormapst.h
- usr/include/xorg/compiler.h
- usr/include/xorg/compositeext.h
- usr/include/xorg/cursor.h
- usr/include/xorg/cursorstr.h
- usr/include/xorg/damage.h
- usr/include/xorg/damagestr.h
- usr/include/xorg/dbestruct.h
- usr/include/xorg/dgaproc.h
- usr/include/xorg/displaymode.h
- usr/include/xorg/dix.h
- usr/include/xorg/dixaccess.h
- usr/include/xorg/dixevents.h
- usr/include/xorg/dixfont.h
- usr/include/xorg/dixfontstr.h
- usr/include/xorg/dixgrabs.h
- usr/include/xorg/dixstruct.h
- usr/include/xorg/dri.h
- usr/include/xorg/dri2.h
- usr/include/xorg/dri3.h
- usr/include/xorg/dristruct.h
- usr/include/xorg/edid.h
- usr/include/xorg/events.h
- usr/include/xorg/exa.h
- usr/include/xorg/exevents.h
- usr/include/xorg/extension.h
- usr/include/xorg/extinit.h
- usr/include/xorg/extnsionst.h
- usr/include/xorg/fb.h
- usr/include/xorg/fbdevhw.h
- usr/include/xorg/fboverlay.h
- usr/include/xorg/fbpict.h
- usr/include/xorg/fbrop.h
- usr/include/xorg/fourcc.h
- usr/include/xorg/gc.h
- usr/include/xorg/gcstruct.h
- usr/include/xorg/geext.h
- usr/include/xorg/geint.h
- usr/include/xorg/glamor.h
- usr/include/xorg/globals.h
- usr/include/xorg/glx_extinit.h
- usr/include/xorg/glxvndabi.h
- usr/include/xorg/glyphstr.h
- usr/include/xorg/hotplug.h
- usr/include/xorg/i2c_def.h
- usr/include/xorg/input.h
- usr/include/xorg/inputstr.h
- usr/include/xorg/list.h
- usr/include/xorg/mi.h
- usr/include/xorg/micmap.h
- usr/include/xorg/micoord.h
- usr/include/xorg/migc.h
- usr/include/xorg/miline.h
- usr/include/xorg/mioverlay.h
- usr/include/xorg/mipict.h
- usr/include/xorg/mipointer.h
- usr/include/xorg/mipointrst.h
- usr/include/xorg/misc.h
- usr/include/xorg/miscstruct.h
- usr/include/xorg/mistruct.h
- usr/include/xorg/misync.h
- usr/include/xorg/misyncfd.h
- usr/include/xorg/misyncshm.h
- usr/include/xorg/misyncstr.h
- usr/include/xorg/mizerarc.h
- usr/include/xorg/nonsdk_extinit.h
- usr/include/xorg/opaque.h
- usr/include/xorg/optionstr.h
- usr/include/xorg/os.h
- usr/include/xorg/panoramiX.h
- usr/include/xorg/panoramiXsrv.h
- usr/include/xorg/picture.h
- usr/include/xorg/picturestr.h
- usr/include/xorg/pixmap.h
- usr/include/xorg/pixmapstr.h
- usr/include/xorg/present.h
- usr/include/xorg/presentext.h
- usr/include/xorg/privates.h
- usr/include/xorg/property.h
- usr/include/xorg/propertyst.h
- usr/include/xorg/ptrveloc.h
- usr/include/xorg/randrstr.h
- usr/include/xorg/region.h
- usr/include/xorg/regionstr.h
- usr/include/xorg/registry.h
- usr/include/xorg/resource.h
- usr/include/xorg/rgb.h
- usr/include/xorg/rrtransform.h
- usr/include/xorg/sarea.h
- usr/include/xorg/screenint.h
- usr/include/xorg/scrnintstr.h
- usr/include/xorg/selection.h
- usr/include/xorg/servermd.h
- usr/include/xorg/shadow.h
- usr/include/xorg/shadowfb.h
- usr/include/xorg/shmint.h
- usr/include/xorg/syncsdk.h
- usr/include/xorg/validate.h
- usr/include/xorg/vbe.h
- usr/include/xorg/vbeModes.h
- usr/include/xorg/vgaHW.h
- usr/include/xorg/vndserver.h
- usr/include/xorg/wfbrename.h
- usr/include/xorg/window.h
- usr/include/xorg/windowstr.h
- usr/include/xorg/xaarop.h
- usr/include/xorg/xace.h
- usr/include/xorg/xacestr.h
- usr/include/xorg/xf86-input-inputtest-protocol.h
- usr/include/xorg/xf86.h
- usr/include/xorg/xf86Crtc.h
- usr/include/xorg/xf86Cursor.h
- usr/include/xorg/xf86DDC.h
- usr/include/xorg/xf86MatchDrivers.h
- usr/include/xorg/xf86Modes.h
- usr/include/xorg/xf86Module.h
- usr/include/xorg/xf86Opt.h
- usr/include/xorg/xf86Optionstr.h
- usr/include/xorg/xf86Optrec.h
- usr/include/xorg/xf86Parser.h
- usr/include/xorg/xf86Pci.h
- usr/include/xorg/xf86PciInfo.h
- usr/include/xorg/xf86Priv.h
- usr/include/xorg/xf86Privstr.h
- usr/include/xorg/xf86RandR12.h
- usr/include/xorg/xf86VGAarbiter.h
- usr/include/xorg/xf86Xinput.h
- usr/include/xorg/xf86_OSlib.h
- usr/include/xorg/xf86_OSproc.h
- usr/include/xorg/xf86cmap.h
- usr/include/xorg/xf86fbman.h
- usr/include/xorg/xf86i2c.h
- usr/include/xorg/xf86int10.h
- usr/include/xorg/xf86platformBus.h
- usr/include/xorg/xf86sbusBus.h
- usr/include/xorg/xf86str.h
- usr/include/xorg/xf86xv.h
- usr/include/xorg/xf86xvmc.h
- usr/include/xorg/xf86xvpriv.h
- usr/include/xorg/xisb.h
- usr/include/xorg/xkbfile.h
- usr/include/xorg/xkbrules.h
- usr/include/xorg/xkbsrv.h
- usr/include/xorg/xkbstr.h
- usr/include/xorg/xorg-server.h
- usr/include/xorg/xorgVersion.h
- usr/include/xorg/xserver-properties.h
- usr/include/xorg/xserver_poll.h
- usr/include/xorg/xvdix.h
- usr/include/xorg/xvmcext.h
- usr/lib64/pkgconfig/xorg-server.pc
- usr/lib64/xorg/modules/drivers/modesetting_drv.so
- usr/lib64/xorg/modules/extensions/libglx.so
- usr/lib64/xorg/modules/input/inputtest_drv.so
- usr/lib64/xorg/modules/libexa.so
- usr/lib64/xorg/modules/libfbdevhw.so
- usr/lib64/xorg/modules/libglamoregl.so
- usr/lib64/xorg/modules/libint10.so
- usr/lib64/xorg/modules/libshadow.so
- usr/lib64/xorg/modules/libshadowfb.so
- usr/lib64/xorg/modules/libvgahw.so
- usr/lib64/xorg/modules/libwfb.so
- usr/lib64/xorg/protocol.txt
- usr/libexec/Xorg
- usr/libexec/Xorg.wrap
- usr/share/X11/xorg.conf.d/10-quirks.conf
- usr/share/aclocal/xorg-server.m4
- usr/share/doc/xorg-server-21.1.13/README.md.bz2
- usr/share/man/man1/Xephyr.1.bz2
- usr/share/man/man1/Xnest.1.bz2
- usr/share/man/man1/Xorg.1.bz2
- usr/share/man/man1/Xorg.wrap.1.bz2
- usr/share/man/man1/Xserver.1.bz2
- usr/share/man/man1/gtf.1.bz2
- usr/share/man/man4/exa.4.bz2
- usr/share/man/man4/fbdevhw.4.bz2
- usr/share/man/man4/inputtestdrv.4.bz2
- usr/share/man/man4/modesetting.4.bz2
- usr/share/man/man5/Xwrapper.config.5
- usr/share/man/man5/xorg.conf.5.bz2
- usr/share/man/man5/xorg.conf.d.5
- usr/share/portage/config/sets/xorg.conf
- var/db/pkg/x11-base/xorg-server-21.1.13/BDEPEND
- var/db/pkg/x11-base/xorg-server-21.1.13/BUILD_TIME
- var/db/pkg/x11-base/xorg-server-21.1.13/CATEGORY
- var/db/pkg/x11-base/xorg-server-21.1.13/CBUILD
- var/db/pkg/x11-base/xorg-server-21.1.13/CFLAGS
- var/db/pkg/x11-base/xorg-server-21.1.13/CHOST
- var/db/pkg/x11-base/xorg-server-21.1.13/CONTENTS
- var/db/pkg/x11-base/xorg-server-21.1.13/COUNTER
- var/db/pkg/x11-base/xorg-server-21.1.13/CXXFLAGS
- var/db/pkg/x11-base/xorg-server-21.1.13/DEFINED_PHASES
- var/db/pkg/x11-base/xorg-server-21.1.13/DEPEND
- var/db/pkg/x11-base/xorg-server-21.1.13/DESCRIPTION
- var/db/pkg/x11-base/xorg-server-21.1.13/EAPI
- var/db/pkg/x11-base/xorg-server-21.1.13/FEATURES
- var/db/pkg/x11-base/xorg-server-21.1.13/HOMEPAGE
- var/db/pkg/x11-base/xorg-server-21.1.13/INHERITED
- var/db/pkg/x11-base/xorg-server-21.1.13/IUSE
- var/db/pkg/x11-base/xorg-server-21.1.13/IUSE_EFFECTIVE
- var/db/pkg/x11-base/xorg-server-21.1.13/KEYWORDS
- var/db/pkg/x11-base/xorg-server-21.1.13/LDFLAGS
- var/db/pkg/x11-base/xorg-server-21.1.13/LICENSE
- var/db/pkg/x11-base/xorg-server-21.1.13/NEEDED
- var/db/pkg/x11-base/xorg-server-21.1.13/PF
- var/db/pkg/x11-base/xorg-server-21.1.13/PROVIDES
- var/db/pkg/x11-base/xorg-server-21.1.13/RDEPEND
- var/db/pkg/x11-base/xorg-server-21.1.13/REQUIRES
- var/db/pkg/x11-base/xorg-server-21.1.13/SIZE
- var/db/pkg/x11-base/xorg-server-21.1.13/SLOT
- var/db/pkg/x11-base/xorg-server-21.1.13/USE
- var/db/pkg/x11-base/xorg-server-21.1.13/environment.bz2
- var/db/pkg/x11-base/xorg-server-21.1.13/repository
- var/db/pkg/x11-base/xorg-server-21.1.13/xorg-server-21.1.13.ebuild
package_cacheimage: ""
runtime:
  name: xorg-server
  version: 21.1.13+1
  category: x11-base
  use_flags:
  - -minimal
  - -selinux
  - -systemd
  - -unwind
  - elogind
  - kdrive
  - udev
  - xephyr
  - xnest
  - xorg
  - xnest
  - suid
  requires:
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: flex
    version: '>=0'
    category: sys-devel
  - name: xinit
    version: '>=0'
    category: x11-apps
  - name: libXv
    version: '>=0'
    category: x11-libs
  - name: libdrm
    version: '>=0'
    category: x11-libs
  - name: xcb-util-image
    version: '>=0'
    category: x11-libs
  - name: xcb-util-keysyms
    version: '>=0'
    category: x11-libs
  - name: xcb-util-renderutil
    version: '>=0'
    category: x11-libs
  - name: xcb-util-wm
    version: '>=0'
    category: x11-libs
  - name: xkeyboard-config
    version: '>=0'
    category: x11-misc
  - name: xwayland
    version: '>=0'
    category: x11-base
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: x.org X server
  uri:
  - https://www.x.org/wiki
  license: MIT
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: dev-libs/libbsd dev-libs/openssl media-libs/libglvnd[X] sys-devel/flex
      x11-apps/xkbcomp >=x11-base/xorg-proto-2021.4.99.2 >=x11-libs/libXau-1.0.4 >=x11-libs/libXdmcp-1.0.2
      >=x11-libs/libXfont2-2.0.1 >=x11-libs/libdrm-2.4.89 >=x11-libs/libpciaccess-0.12.901
      >=x11-libs/libxkbfile-1.0.4 >=x11-libs/libxshmfence-1.1 >=x11-libs/pixman-0.27.2
      >=x11-libs/xtrans-1.3.5 >=x11-misc/xkeyboard-config-2.4.1-r3 elogind? ( sys-apps/dbus
      sys-auth/elogind[pam] ) kdrive? ( >=x11-libs/libXext-1.0.99.4 x11-libs/libXv
      ) udev? ( virtual/libudev ) unwind? ( sys-libs/libunwind ) xephyr? ( x11-libs/libxcb
      x11-libs/xcb-util x11-libs/xcb-util-image x11-libs/xcb-util-keysyms x11-libs/xcb-util-renderutil
      x11-libs/xcb-util-wm ) xnest? ( >=x11-libs/libXext-1.0.99.4 >=x11-libs/libX11-1.1.5
      ) xorg? ( >=x11-apps/xinit-1.3.3-r1 >=x11-libs/libxcvt-0.1.2 ) !minimal? ( >=x11-libs/libXext-1.0.99.4
      >=x11-libs/libX11-1.1.5 >=media-libs/mesa-18[X(+),egl(+),gbm(+)] >=media-libs/libepoxy-1.5.4[X,egl(+)]
      ) systemd? ( sys-apps/dbus sys-apps/systemd )
    IUSE: kdrive xephyr xnest xorg xvfb debug +elogind minimal selinux +suid test
      +udev unwind xcsecurity systemd
    RDEPEND: dev-libs/libbsd dev-libs/openssl media-libs/libglvnd[X] sys-devel/flex
      x11-apps/xkbcomp >=x11-base/xorg-proto-2021.4.99.2 >=x11-libs/libXau-1.0.4 >=x11-libs/libXdmcp-1.0.2
      >=x11-libs/libXfont2-2.0.1 >=x11-libs/libdrm-2.4.89 >=x11-libs/libpciaccess-0.12.901
      >=x11-libs/libxkbfile-1.0.4 >=x11-libs/libxshmfence-1.1 >=x11-libs/pixman-0.27.2
      >=x11-libs/xtrans-1.3.5 >=x11-misc/xkeyboard-config-2.4.1-r3 elogind? ( sys-apps/dbus
      sys-auth/elogind[pam] ) kdrive? ( >=x11-libs/libXext-1.0.99.4 x11-libs/libXv
      ) udev? ( virtual/libudev ) unwind? ( sys-libs/libunwind ) xephyr? ( x11-libs/libxcb
      x11-libs/xcb-util x11-libs/xcb-util-image x11-libs/xcb-util-keysyms x11-libs/xcb-util-renderutil
      x11-libs/xcb-util-wm ) xnest? ( >=x11-libs/libXext-1.0.99.4 >=x11-libs/libX11-1.1.5
      ) xorg? ( >=x11-apps/xinit-1.3.3-r1 >=x11-libs/libxcvt-0.1.2 ) !minimal? ( >=x11-libs/libXext-1.0.99.4
      >=x11-libs/libX11-1.1.5 >=media-libs/mesa-18[X(+),egl(+),gbm(+)] >=media-libs/libepoxy-1.5.4[X,egl(+)]
      ) systemd? ( sys-apps/dbus sys-apps/systemd ) selinux? ( sec-policy/selinux-xserver
      )
    emerge.packages: x11-base/xorg-server
    kit: geaaru-kit
    original.package.name: x11-base/xorg-server
    original.package.slot: "0"
    original.package.version: 21.1.13
